# Transfer ERC20 Token

ERC20 Token can be transferred using this method. The weightage for this API is 5

## API Specification

## Transfer ERC20 Token

<mark style="color:green;">`POST`</mark> `https://api.krypcore.com/api/v0/ft-manager/transferFT`

ERC20 Token can be transferred under the given instance.&#x20;

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | User Auth Key obtained from Dash |
| DappId<mark style="color:red;">\*</mark>        | String | DappId                           |

#### Request Body

| Name                                                         | Type    | Description                             |
| ------------------------------------------------------------ | ------- | --------------------------------------- |
| contractAddress<mark style="color:red;">\*</mark>            | String  | contract address                        |
| chainId<mark style="color:red;">\*</mark>                    | String  | Chain ID                                |
| custodialWalletAccessToken<mark style="color:red;">\*</mark> | String  | Wallet Access Token of custodial Wallet |
| quantity<mark style="color:red;">\*</mark>                   | Numeric | Quantity                                |
| recipientAddress<mark style="color:red;">\*</mark>           | String  | Recipient Address                       |
| walletType<mark style="color:red;">\*</mark>                 | String  | type of wallet                          |

{% tabs %}
{% tab title="200: OK FT transferred successfully" %}

```javascript
{
    Data: {
        referenceId: "xxxx",
        txnHash: ""
    },
    Message: "FT transferred successfully",
    Status: "SUCCESS"
}
```

{% endtab %}

{% tab title="400: Bad Request incorrect json format" %}

```javascript
{
    Status: "FAILURE",
    Code: 400,
    Message: "request error - invalid character '\"' after object key:value pair"
}
```

{% endtab %}

{% tab title="500: Internal Server Error Mandatory params missing" %}

```javascript
{
    Data: null,
    Message: "Mandatory params missing",
    Status: "FAILURE"
}
```

{% endtab %}
{% endtabs %}

Take a look at how you might call this method using our official libraries, or via `curl`:

{% tabs %}
{% tab title="curl" %}

```bash
curl --location 'https://api.krypcore.com/api/v0/ft-manager/transferFT' \
--header 'Authorization: xxxxxxxxxxxxxxxxx' \
--header 'DappId: xxxxxxxxxxxxxxxxx' \
--header 'ChainId: xxxx' \
--header 'Content-Type: application/json' \
--data '{
  "chainId": "xxxx",
  "contractAddress": "0xa9BCB7E413FfE96575390c6F44F54607b44F030a",
  "custodialWalletAccessToken": "22f82362-2403-453b-b6ed-61ded8b22796",
  "quantity": "100",
  "recipientAddress": "0x688612BD8e65FF693070A875b6a49672502a0707",
  "walletType": "non-custodial"
}'
```

{% endtab %}

{% tab title="Node.js (Fetch)" %}

```javascript
const axios = require('axios');
let data = JSON.stringify({
 "chainId": "xxxx",
  "contractAddress": "0xa9BCB7E413FfE96575390c6F44F54607b44F030a",
  "custodialWalletAccessToken": "d263d546-ccc2-4676-9691-d28c3f836822",
  "quantity": "1000000000000000000",
  "recipientAddress": "0x688612BD8e65FF693070A875b6a49672502a0707",
  "walletType": "non-custodial"
});

let config = {
  method: 'post',
  maxBodyLength: Infinity,
  url: 'https://api.krypcore.com/api/v0/ft-manager/transferFT',
  headers: { 
    'Authorization': 'xxxxxxxxxxxxxxxxx', 
    'DappId': 'xxxxxxxxxxxxxxxxx', 
    'ChainId': 'xxxx',
    'Content-Type': 'application/json'
  },
  data : data
};

axios.request(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});

```

{% endtab %}

{% tab title="Python " %}

```python
import requests
import json

url = "https://api.krypcore.com/api/v0/ft-manager/transferFT"

payload = json.dumps({
  "chainId": "xxxx",
  "contractAddress": "0xa9BCB7E413FfE96575390c6F44F54607b44F030a",
  "custodialWalletAccessToken": "d263d546-ccc2-4676-9691-d28c3f836822",
  "quantity": "1000000000000000000",
  "recipientAddress": "0x688612BD8e65FF693070A875b6a49672502a0707",
  "walletType": "non-custodial"
})
headers = {
  'Authorization': 'xxxxxxxxxxxxxxxxx',
  'DappId': 'xxxxxxxxxxxxxxxxx',
  'ChainId': 'xxxx',
  'Content-Type': 'application/json'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)

```

{% endtab %}

{% tab title="Golang" %}

```go
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io/ioutil"
)

func main() {

  url := "https://api.krypcore.com/api/v0/ft-manager/transferFT"
  method := "POST"

  payload := strings.NewReader(`{
  "chainId": "xxxx",
  "contractAddress": "0xa9BCB7E413FfE96575390c6F44F54607b44F030a",
  "custodialWalletAccessToken": "d263d546-ccc2-4676-9691-d28c3f836822",
  "quantity": "1000000000000000000",
  "recipientAddress": "0x688612BD8e65FF693070A875b6a49672502a0707",
  "walletType": "non-custodial"
}`)

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Authorization", "xxxxxxxxxxxxxxxxx")
  req.Header.Add("DappId", "xxxxxxxxxxxxxxxxx")
  req.Header.Add("ChainId", "xxxx")
  req.Header.Add("Content-Type", "application/json")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := ioutil.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.krypcore.com/dev-docs/api-reference/core-service-apis/ft-manager-apis/transfer-erc20-token.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
